MAPIProxy 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
libmapiserver_oxctabl.c File Reference

OXCTABL ROP Response size calculations. More...

`#include "libmapiserver.h"`

## Functions
_PUBLIC_ uint16_t | libmapiserver_RopFindRow_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopQueryPosition_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopQueryRows_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopResetTable_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopRestrict_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopSeekRow_size (struct EcDoRpc_MAPI_REPL *response)
uint16_t | libmapiserver_RopSetColumns_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopSortTable_size (struct EcDoRpc_MAPI_REPL *response)

## Detailed Description

OXCTABL ROP Response size calculations.

## Function Documentation

_PUBLIC_ uint16_t libmapiserver_RopFindRow_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate FindRow Rop size

Parameters

  response | pointer to the FindRow EcDoRpc_MAPI_REPL structure

Returns
  Size of FindRow response

Referenced by EcDoRpc_RopFindRow().

_PUBLIC_ uint16_t libmapiserver_RopQueryPosition_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate QueryPosition Rop size

Parameters

  response | pointer to the QueryPosition EcDoRpc_MAPI_REPL structure

Returns
  Size of QueryPosition response

Referenced by EcDoRpc_RopQueryPosition().

_PUBLIC_ uint16_t libmapiserver_RopQueryRows_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate QueryRows Rop size

Parameters

  response | pointer to the QueryRows EcDoRpc_MAPI_REPL structure

Returns
  Size of QueryRows response

Referenced by EcDoRpc_RopQueryRows().

_PUBLIC_ uint16_t libmapiserver_RopResetTable_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate ResetTable (0x81) Rop size

Parameters

  response | pointer to the ResetTable EcDoRpc_MAPI_REPL structure

Returns
  Size of ResetTable response

Referenced by EcDoRpc_RopResetTable().

_PUBLIC_ uint16_t libmapiserver_RopRestrict_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate Restrict Rop size

Parameters

  response | pointer to the Restrict EcDoRpc_MAPI_REPL structure

Returns
  Size of Restrict response

Referenced by EcDoRpc_RopRestrict().

_PUBLIC_ uint16_t libmapiserver_RopSeekRow_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate SeekRow Rop size

Parameters

  response | pointer to the SeekRow EcDoRpc_MAPI_REPL structure

Returns
  Size of SeekRow response

Referenced by EcDoRpc_RopSeekRow().

uint16_t libmapiserver_RopSetColumns_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate SetColumns Rop size

Parameters

  response | pointer to the SetColumns EcDoRpc_MAPI_REPL structure

Returns
  Size of SetColumns response

Referenced by EcDoRpc_RopSetColumns().

_PUBLIC_ uint16_t libmapiserver_RopSortTable_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate SortTable Rop size

Parameters

  response | pointer to the SortTable EcDoRpc_MAPI_REPL structure

Returns
  Size of SortTable response

Referenced by EcDoRpc_RopSortTable().

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/